INTERFACE
SUBROUTINE GPSZEN_DELAYAD(KDLEN,KLEN,KDCOUNT,KCOUNT,&
 & PRESH, PGEOH, PTF, PQF,&
 & POROGOB,PRESOB,&
 & KDPP,PZEN_DELAYAD,&
 & PRESH5,PGEOH5,PTF5,PQF5,&
 & PRESOB5) 
USE PARKIND1 , ONLY : JPIM, JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM), INTENT(IN) :: KDLEN, KLEN,KDCOUNT,KCOUNT(KDLEN),KDPP
REAL(KIND=JPRB), INTENT(INOUT) :: PRESH(KDLEN,0:NFLEVG),PGEOH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB), INTENT(INOUT) :: PTF(KDLEN,NFLEVG),PQF(KDLEN,NFLEVG)
REAL(KIND=JPRB), INTENT(IN) :: PRESH5(KDLEN,0:NFLEVG),PGEOH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB), INTENT(IN) :: PTF5(KDLEN,0:NFLEVG),PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB), INTENT(IN) :: POROGOB(KDLEN)
REAL(KIND=JPRB), INTENT(INOUT) :: PRESOB(KDLEN,KDCOUNT)
REAL(KIND=JPRB), INTENT(IN) :: PRESOB5(KDLEN,KDCOUNT)
REAL(KIND=JPRB), INTENT(INOUT) :: PZEN_DELAYAD(KDLEN,KDCOUNT,KDPP)
END SUBROUTINE GPSZEN_DELAYAD
END INTERFACE
